%% perorale Applikation im Zweikompartimentmodell (Mehrfachdosierung)

\documentclass[tikz,
%  convert={outext=.svg,command=\unexpanded{pdf2svg \infile\space\outfile}}
convert={outext=.png,density=150}
  ]{standalone}[2012/04/13]

\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}

\usepackage{comp_extra}

\usepackage{ifthen}

\newboolean{twocomps}
\setboolean{twocomps}{true}

\begin{document}
\begin{tikzpicture}[node distance=20mm]
  \node[comp]  (P) at (0, 0) {Organismus\\$m_P$};
  \node[extra, right=of P] (E) {Exkretion\\$m_E$};
  \node[extra, left=of P] (G) {Gastrointestinaltrakt\\$m_G$};
  \node[dform, above=of G] (A) {Arzneiform\\$m_A$};
  
  \draw[thick,->] (A) -- node[left] {$k_l$}
    node[right] {$D = \{(t_1, D_1), (t_2, D_2), \ldots, (t_n, D_n)\}$} (G);
   \draw[thick,->] (G) -- node[above] {$k_a$} (P);
   \draw[thick,->] (P.east) -- node[above] {$k_e$} (E.west);

  % two compartments
  \ifthenelse{\boolean{twocomps}}{%
    \node[comp, below=of P] (T) {Gewebe\\$m_2$};
    \draw[thick,->] (P.250) -- node[left] {$k_{12}$} (T.110);
    \draw[thick,<-] (P.290) -- node[right] {$k_{21}$} (T.70);
  }{\relax}
\end{tikzpicture}

\end{document}
% Local Variables:
% TeX-command-extra-options: "-shell-escape"
% End:
